<?php
// ===========================================================================
//  ENGLISH.TEAMCAL.PHP
//  --------------------------------------------------------------------------
//  Application: TeamCal
//  Purpose:     Language file
//  Author:      George Lewe
//  Copyright:   (c) 2004 by Lewe dataVisual, Germany
//               All rights reserved.
//
// ===========================================================================

// __________________________________________________________________________
// Strings
$tc_language['monthnames'] = array(1=>"January","February","March","April","May","June","July","August","September","October","November","December");
$tc_config['weekdays'] = array(1=>"Mo","Tu","We","Th","Fr","Sa","Su");

// __________________________________________________________________________
// Menu
$tc_language['menu_home'] = 'Home';
$tc_language['menu_edit_team'] = 'Team';
$tc_language['menu_edit_groups'] = 'Groups';
$tc_language['menu_legend'] = 'Legend';
$tc_language['menu_message'] = 'Message';
$tc_language['menu_options'] = 'Options';

// Filter
$tc_language['nav_groupfilter'] = 'Group Filter:';
$tc_language['nav_start_with'] = 'Start with:';
$tc_language['drop_show_3_months'] = 'Show 3 months';
$tc_language['drop_show_6_months'] = 'Show 6 months';
$tc_language['drop_show_12_months'] = 'Show 12 months';

// Buttons
$tc_language['btn_add'] = 'Add';
$tc_language['btn_apply'] = 'Apply';
$tc_language['btn_cancel'] = 'Cancel';
$tc_language['btn_close'] = 'Close';
$tc_language['btn_delete'] = 'Delete';
$tc_language['btn_done'] = 'Done';
$tc_language['btn_update'] = 'Update';
$tc_language['btn_reset'] = 'Reset';
$tc_language['btn_send'] = 'Send';
$tc_language['btn_switch'] = 'Switch';

// Edit Team Dialog
$tc_language['edit_team'] = 'Edit Team';
$tc_language['column_name'] = 'Name';
$tc_language['column_position'] = 'Position';
$tc_language['column_group'] = 'Group';
$tc_language['column_email'] = 'e-Mail';
$tc_language['column_phone'] = 'Phone';
$tc_language['column_action'] = 'Action';
$tc_language['entry_none'] = 'none';

// Edit Groups Dialog
$tc_language['edit_groups'] = 'Edit Groups';
$tc_language['column_shortname'] = 'Shortname';
$tc_language['column_description'] = 'Description';

// Legend Dialog
$tc_language['teamcal_legend'] = 'TeamCal Legend';
$tc_language['col_month_header'] = 'Month Header';
$tc_language['col_day_symbols'] = 'Day Symbols';
$tc_language['dom_business_day'] = 'Day of month: Business Day';
$tc_language['dom_weekend_day'] = 'Day of month: Weekend Day';
$tc_language['dom_school_holiday'] = 'Day of month: School Holiday';
$tc_language['dom_bank_holiday'] = 'Day of month: Public Holiday';
$tc_language['dow_business_day'] = 'Day of week: Business Day';
$tc_language['dow_weekend_day'] = 'Day of week: Weekend Day';
$tc_language['dow_school_holiday'] = 'Day of week: School Holiday';
$tc_language['dow_bank_holiday'] = 'Day of week: Public Holiday';
$tc_language['btn_edit_month'] = 'Button: Edit Month Template';
$tc_language['btn_edit_member'] = 'Button: Edit Team Member Calendar';
$tc_language['day_business_day'] = 'Business Day';
$tc_language['day_weekend_day'] = 'Weekend Day';
$tc_language['day_school_holiday'] = 'School Holiday';
$tc_language['day_bank_holiday'] = 'Public Holiday';
$tc_language['day_duty_trip'] = 'Duty Trip';
$tc_language['day_day_off'] = 'Day Off';
$tc_language['day_home_office'] = 'Home Office';
$tc_language['day_not_present'] = 'Not present';
$tc_language['day_sick_leave'] = 'Sick Leave';
$tc_language['day_training'] = 'Training/Course';
$tc_language['day_vacation'] = 'Vacation';
$tc_language['day_blocked'] = 'Blocked';

// Month Dialog
$tc_language['month_edit'] = 'Template for ';

// Member Dialog
$tc_language['member_edit'] = 'Calendar of ';
$tc_language['notify_caption'] = 'I want to be notified by e-Mail when:';
$tc_language['notify_team'] = 'The team is changed';
$tc_language['notify_groups'] = 'The groups are changed';
$tc_language['notify_month'] = 'A month template is changed';
$tc_language['notify_member'] = 'A team member calendar is changed';
$tc_language['notify_ofgroup'] = 'of group';

$tc_language['notification_subject'] = "TeamCal Change Notification";
$tc_language['notification_greeting'] = "Hello TeamCal User,\n\n";
$tc_language['notification_team_msg'] = "your TeamCal user profile is configured to notify you about changes to the team.\r\nChanges were applied to the team.\n\n";
$tc_language['notification_group_msg'] = "your TeamCal user profile is configured to notify you about changes to the groups.\r\nChanges were applied to the groups.\n\n";
$tc_language['notification_month_msg'] = "your TeamCal user profile is configured to notify you about changes to month templates.\r\nChanges were applied to the month template of:\n\n";
$tc_language['notification_member_msg'] = "your TeamCal user profile is configured to notify you about changes to team member calendars.\r\nChanges were applied to the calendar of:\n\n";
$tc_language['notification_signature'] = "If you want to change the notification settings in your user profile go to TeamCal and open one of your calendars.\n\nBest regards,\r\nYour TeamCal Administration.\n";
$tc_language['notification_from'] = "noreply@lewe.com";
$tc_language['notification_reply'] = "noreply@lewe.com";

// Message Dialog
$tc_language['teamcal_message'] = 'TeamCal Message Center';
$tc_language['message_sendto_caption'] = 'Send e-Mail to:';
$tc_language['message_sendto_all'] = 'All';
$tc_language['message_sendto_group'] = 'Group:';
$tc_language['message_sendto_user'] = 'User:';
$tc_language['message_subject_caption'] = 'Subject:';
$tc_language['message_subject'] = 'TeamCal Message';
$tc_language['message_msg_caption'] = 'Message:';
$tc_language['message_msg'] = '[your text here]';
$tc_language['message_msgsent'] = 'Your previous message was sent.';

// Options Dialog
$tc_language['teamcal_options'] = 'TeamCal Options';

// __________________________________________________________________________
// Absence Type
// Describes the type of absence (or presence) of a team member for a given
// day and assigns a symbol to be displayed in the calendar
$tc_language['duty_trip']   = 'D';
$tc_language['day_off']     = 'F';
$tc_language['home_office'] = 'H';
$tc_language['not_present'] = 'N';
$tc_language['sick']        = 'S';
$tc_language['training']    = 'T';
$tc_language['vacation']    = 'V';
$tc_language['blocked']     = 'B';

?>
